#version: '3.7'

# Docker Networks
networks:
  niftsy_backend:
    external:
      name: niftsy_niftsy_backend

# Please check service name and NGINX_HOST (must be same) !!!
services:
  saftsdk_service_alfa:
    image: ${CI_REGISTRY_IMAGE}:${CI_ENVIRONMENT_SLUG}
    container_name: ${CI_PROJECT_NAME}_${CI_ENVIRONMENT_SLUG}
    environment:
     - NGINX_HOST=saftsdk_service_alfa
     - NGINX_PORT=8081
     - APP_URL=${PUBLIC_URL}
    networks:
      - niftsy_backend
    logging:
        options:
            max-file: "10"
            max-size: 1m
    restart: always   
